### Enumeration

# Camel FolderError

since: 2.32

#### Declaration

    error-domain Camel.FolderError

#### Description

No description available.

Available since: 2.32

#### Members

`CAMEL_FOLDER_ERROR_INVALID`

  A generic error about invalid operation with the folder.

  - Value: `0`
  - Available since: 2.32
`CAMEL_FOLDER_ERROR_INVALID_STATE`

  The folder is in an invalid state.

  - Value: `1`
  - Available since: 2.32
`CAMEL_FOLDER_ERROR_NON_EMPTY`

  The folder is not empty.

  - Value: `2`
  - Available since: 2.32
`CAMEL_FOLDER_ERROR_NON_UID`

  Requested UID is not a UID.

  - Value: `3`
  - Available since: 2.32
`CAMEL_FOLDER_ERROR_INSUFFICIENT_PERMISSION`

  Insufficient permissions for the requested operation.

  - Value: `4`
  - Available since: 2.32
`CAMEL_FOLDER_ERROR_INVALID_PATH`

  The folder path is invalid.

  - Value: `5`
  - Available since: 2.32
`CAMEL_FOLDER_ERROR_INVALID_UID`

  Requested UID is invalid/cannot be found.

  - Value: `6`
  - Available since: 2.32
`CAMEL_FOLDER_ERROR_SUMMARY_INVALID`

  The folder’s summary is invalid/broken.

  - Value: `7`
  - Available since: 2.32

#### Type functions

###### camel_folder_error_quark

No description available.